SpriteLibrary

Sprite Constructor (Point, SpriteController, Image, Int32, Int32, Int32, Int32)

Create a Sprite from an animation image, specifying the number of consecutive frames to grab.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public Sprite(
    	Point Start,
    	SpriteController Controller,
    	Image SpriteImage,
    	int width,
    	int height,
    	int duration,
    	int Count
    )

#### Parameters

Start
  Type: System.Drawing
  Point
  A point on the specified image where we begin grabbing frames
Controller
  Type: SpriteLibrary
  SpriteController
  The Sprite controller we are associating the sprite with
SpriteImage
  Type: System.Drawing
  Image
  An image that we grab the frames from
width
  Type: System
  Int32
  The width of one frame
height
  Type: System
  Int32
  The height of one frame
duration
  Type: System
  Int32
  The number of milliseconds each frame is displayed for
Count
  Type: System
  Int32
  The number of frames to grab as a part of this animation

See Also

#### Reference

Sprite Class
Sprite Overload
SpriteLibrary Namespace